import json


async def process(request):
	obj = json.loads(await request.text())
	evalMatchesStr = (': ' + ', '.join(f'{x["metric"]} = {x["value"]}' for x in obj['evalMatches'])) if 'evalMatches' in obj else ''
	if 'message' in obj:
		return f'{obj["title"]} - {obj["message"]}{evalMatchesStr}'
	else:
		return f'{obj["title"]}{evalMatchesStr}'
